Subject: Re: bug#15364: 24.3; git emacs segfault on loading local wubi phrases

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 14 Sep 2013 16:47:48 +0800

On 09/13/13 17:43 PM, Eli Zaretskii wrote:
>> From: Eric Abrahamsen <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 13 Sep 2013 17:22:11 +0800
>> 
>> It seems the problem is more complicated. You're supposed to put your
>> custom phrases in a plain text file, one phrase per line, which file is
>> pointed to by the variable wubi-phrases-file. When
>> `wubi-load-local-phrases' is called, it turns that text file into an .el
>> file, the name of which is pointed to by wubi-phrases-file-el. So far as
>> I can tell, emacs segfaults when these two files have the same name, ie:
>> 
>> (setq wubi-phrases-file "~/.emacs.d/my-wubi-phrases.txt")
>> (setq wubi-phrases-file-el "~/.emacs.d/my-wubi-phrases.el")
>
> But the name is not the same: the extensions of the files are
> different.  So I don't think it's unreasonable to expect this to work.

Sure, obviously the names aren't exactly the same, but the fact is that
it blew up when I eval'd the above two sexps and then called
`wubi-load-local-phrases'. If I changed the name of the .el file, or
eval'd the second sexp but not the first (ie set wubi-phrases-file-el
but left wubi-phrases-file as its default), it loaded okay. Beats me!

>> I moved "my-wubi-phrases.el" to "my-wubi-phrases-short.el", to start
>> testing if a shorter file would prevent the crash, only to find that all
>> it took was re-naming the file to allow it to load safely.
>> 
>> So now it seems highly likely that the crash I thought I was
>> experiencing isn't at all the one I'm actually experiencing. I'll
>> happily do whatever's necessary, but I have the sense I'm barking up the
>> wrong tree.
>
> It would help if you report the steps necessary to reproduce the
> problem, starting with "emacs -Q".  If that requires a non-empty
> phrase file, please post a minimal file that can be used to reproduce
> the crash.
>
> Thanks for the other info.

Yup, you'll need a file. I've done a little testing. It looks like
everything loads fine until the file reaches 4095 lines. I'm attaching
the txt file, of exactly 4095 lines, and a test file, to be run as emacs
-Q -l wubi-test.el (the paths need to be changed). Running that test
will produce the .el file, then attempt to load the phrases, and then in
my case segfault.

Hope that's enough!

Eric